[Gta04-owner] gta04-replicant project

Dr. H. Nikolaus Schaller hns at goldelico.com
Mon Nov 4 15:56:43 CET 2013


Hi Alexander,

Am 04.11.2013 um 15:48 schrieb Alexander Rumyantsev:

> Hello
> 
> Is it correct that the project does not include eabi patchs for latest
> kernel? 

Yes, because it is a compiler (or binutils) bug, resp. lack of recent enough toolchain.
Using gcc 4.4.5 (compatible with Debian Wheezy) outside the replicant tree makes it
compile fine.

Replicant 4.0 is Android 4.0 and not prepared to support the latest kernel code.

> I have reported about this problem at
> http://lists.goldelico.com/pipermail/gta04-owner/2013-September/005031.html
> and have same problem when I try to build 3.12 kernel.

So we don't know yet, how to really address it since fixing compiler issues in kernel
code we don't understand is quire risky to the stability and contrary to our goal to
use less and less differences from linus/master.

Yes, it is an incompatibility introduced by 3.12-rc1 or rc2 but apparently wasn't
resolved upstream (yet).

Sorry,
Nikolaus



More information about the Gta04-owner mailing list